SWFieldManagerInternal::FieldSetExp Struct Referencefinal

Internal: a set expr field. More...

Inheritance diagram for SWFieldManagerInternal::FieldSetExp:

## Public Member Functions

| FieldSetExp ()
| constructor
| FieldSetExp (Field const &orig)
| copy constructor
| ~FieldSetExp () final
| destructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data
void | print (std::ostream &o) const final
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor

## Public Attributes

int | m_fieldType
| the field type
librevenge::RVNGString | m_formula
| the formula
librevenge::RVNGString | m_prompt
| the prompt
int | m_seqVal
| the seq value
int | m_seqNo
| the seq number
char | m_delim
| the deliminator
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members

Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor

## Detailed Description

Internal: a set expr field.

## Constructor & Destructor Documentation

## FieldSetExp() [1/2]

SWFieldManagerInternal::FieldSetExp::FieldSetExp | ( |  | ) |

inline

constructor

## FieldSetExp() [2/2]

SWFieldManagerInternal::FieldSetExp::FieldSetExp | ( | Field const & | orig | ) |

inline explicit

copy constructor

## ~FieldSetExp()

SWFieldManagerInternal::FieldSetExp::~FieldSetExp | ( |  | ) |

final

destructor

## Member Function Documentation

## print()

void SWFieldManagerInternal::FieldSetExp::print | ( | std::ostream & | o | ) | const

inline final virtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

Referenced by print().

## send()

bool SWFieldManagerInternal::FieldSetExp::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const

final virtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## m_delim

char SWFieldManagerInternal::FieldSetExp::m_delim

the deliminator

Referenced by FieldSetExp(), FieldSetExp(), and print().

## m_fieldType

int SWFieldManagerInternal::FieldSetExp::m_fieldType

the field type

Referenced by FieldSetExp(), FieldSetExp(), and print().

## m_formula

librevenge::RVNGString SWFieldManagerInternal::FieldSetExp::m_formula

the formula

Referenced by FieldSetExp(), FieldSetExp(), print(), and send().

## m_prompt

librevenge::RVNGString SWFieldManagerInternal::FieldSetExp::m_prompt

the prompt

Referenced by FieldSetExp(), FieldSetExp(), and print().

## m_seqNo

int SWFieldManagerInternal::FieldSetExp::m_seqNo

the seq number

Referenced by FieldSetExp(), FieldSetExp(), and print().

## m_seqVal

int SWFieldManagerInternal::FieldSetExp::m_seqVal

the seq value

Referenced by FieldSetExp(), FieldSetExp(), and print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx